import datetime

from ..api import Api
from .model import Channel, Schedule


class ScheduleApi(Api):
    TYPE = "schedule"

    async def find_channels(self, query: str) -> list[Channel]:
        raise NotImplementedError

    async def get_schedule(self, channel_id: str, date: datetime.date) -> Schedule:
        raise NotImplementedError
